name: 'Stephan Spiegel'
meta:
  format: FRESH@0.6.0
  version: 0.1.0
info:
  label: 'Senior Web and CRM Developer'
  character: Programmer
  brief: '6 years experience developing for Salesforce and Dynamics CRM systems and collateral web systems, emphasizing best practices and maintainability.'
contact:
  website: 'http://stephanspiegel.com'
  phone: '(503) 512-9439'
  email: stephan@stephanspiegel.com
  other: []
location:
  address: '151 Prospect Street'
  city: Portland
  region: ME
  code: '04103'
  country: US
social:
  -
    label: LinkedIn
    network: LinkedIn
    user: stephan-spiegel
    url: 'https://www.linkedin.com/in/stephan-spiegel-b3b320a/'
  -
    label: GitHub
    network: GitHub
    user: stephanspiegel
    url: 'https://github.com/stephanspiegel'
employment:
  history:
    -
      employer: 'CLEAResult - Austin, TX (Remote from Portland, ME)'
      url: 'https://www.clearesult.com'
      position: 'Senior Software Developer'
      start: 2014-10
      summary: 'Developed and maintained Energy Efficiency Rebate tracking systems based on Salesforce and Dynamics CRM.'
      highlights:
        - 'Mentored and directed a team of three Salesforce developers'
        - 'Refactored legacy code for readability and maintainability in three different Salesforce instances'
        - 'Extendended existing Salesforce unit tests to include functional testing'
        - 'Set up single sign-on for Salesforce using Azure Active Directory'
        - 'Developed Salesforce Sandbox post-copy script for masking Personally identifiable information (PII)'
        - 'Developed dynamic data grid using Dynamics CRM as backend'
        - 'Developed and maintained Dynamices CRM portal sites'
        - 'Spearheaded development of unit tests for Dynamics CRM plugins'
        - 'Developed build scripts for Continuous Integration using Visual Studio Team Services'
    -
      employer: 'PECI - Portland, OR'
      position: 'Salesforce Developer'
      start: 2014-03
      end: 2014-10
      summary: 'Developed and maintained Salesforce-based Energy Efficiency Rebate tracking system on three Salesforce instances.'
      highlights:
        - 'Mentored and directed a team of four developers'
        - 'Refactored legacy code for readability and maintainability'
        - 'Extended unit test coverage for large code base from 75% to 80%'
        - 'Developed new functionality: CSV parser in Apex'
    -
      employer: 'Nuehealth - San Francisco, CA (Remote from Portland, OR)'
      position: 'Salesforce Developer'
      start: 2012-06
      end: 2013-12
      summary: 'Developed and administered Salesforce-based Medical Tourism platform.'
      highlights:
        - 'Developed Apex and and VisualForce Code: Web-to-Lead processing, audit trail for HIPAA compliance, email template library'
        - 'Provided CRM Administration support: Permissions and data sharing, trained users and maintained user documentation'
    -
      employer: 'ResortCom International - San Diego, CA'
      position: 'Customer Support Lead'
      website: 'https://corporate.resortcom.com'
      start: 2004-11
      end: 2007-11
      summary: 'Supervised a team of 20 customer support agents in a resort management call center.'
      highlights:
        - 'Pioneered roll-out of Rightnow CRM system, including testing and training of new users.'
        - 'Supervised and coached support agents to consistently exceed revenue goals.'
    -
      employer: 'Freelance - Arcata, CA'
      position: 'German and French Translator'
      start: 2001-06
      end: 2004-07
      summary: 'Translated and transcribed German and French source material.'
      highlights:
        - 'Translated written documents and transcribed video recordings pertaining to market research.'
        - 'Translated academic journal articles.'
education:
  summary: ""
  level: degree
  degree: 'Bachelor of Arts'
  history:
    -
      institution: 'Humboldt State University'
      title: BA
      area: Anthropology
      studyType: 'Bachelor of Arts'
      start: 1999-01
      end: 2001-01
      location: 'Arcata, CA'
    -
      institution: 'Northwest University, Xi''an, China'
      start: 1999-08
      end: 2000-07
      location: 'Xi''an, China'
skills:
  sets:
    -
      name: 'Web Development'
      level: Advanced
      skills:
        - HTML5
        - CSS
        - Javascript
        - JQuery
        - 'Kendo UI'
    -
      name: 'Salesforce Development'
      level: Expert
      skills:
        - Apex
        - VisualForce
        - 'Unit testing'
        - 'Best Practices'
    -
      name: '.Net Development'
      level: Advanced
      skills:
        - 'C#'
        - ASP
        - 'Visual Studio Team Services'
        - 'Dynamics CRM Development'
    -
      name: 'Continuous Integration'
      level: Advanced
      skills:
        - 'Visual Studio Team Services'
        - git
        - ant
        - Powershell
    -
      name: 'Functional Programming'
      level: Beginner
      skills:
        - elm
        - es6
        - 'F#'
languages:
  -
    language: English
    level: '10'
  -
    language: German
    level: '10'
  -
    language: French
    level: '5'
interests: []
references: []
